"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const IndexaContext_1 = require("../IndexaContext");
exports.useStorage = (mapper) => {
    if (!IndexaContext_1.indexaContext.Provider || !IndexaContext_1.indexaContext.Consumer || !IndexaContext_1.indexaContext.displayName) {
        throw new Error('Make sure that you have passed a React Context.');
    }
    const storage = react_1.useContext(IndexaContext_1.indexaContext);
    if (!storage) {
        throw new Error('Make sure that you have wrapped your app with StorageProvider and passed it a storage as prop.');
    }
    const { getStorage, reflect } = storage;
    const mappedStorage = mapper(getStorage());
    return [mappedStorage, reflect];
};
